.TH wxSizerItem 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSizerItem \- See external documentation: wxSizerItem\&.
.SH DESCRIPTION
.LP
See external documentation: wxSizerItem <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSizerItem()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSizerItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemwxsizeritem>\&.
.RE
.LP
.B
new(Window::wxWindow() (see module wxWindow) | wxSizer() (see module wxSizer), Flags::wxSizerFlags() (see module wxSizerFlags)) -> wxSizerItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemwxsizeritem>\&.
.RE
.LP
.B
new(Width::integer(), Height::integer(), Flags::wxSizerFlags() (see module wxSizerFlags)) -> wxSizerItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemwxsizeritem>\&.
.RE
.LP
.B
new(Window::wxWindow() (see module wxWindow) | wxSizer() (see module wxSizer), Proportion::integer(), Flag::integer(), Border::integer(), UserData::wx() (see module wx)) -> wxSizerItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemwxsizeritem>\&.
.RE
.LP
.B
new(Width::integer(), Height::integer(), Proportion::integer(), Flag::integer(), Border::integer(), UserData::wx() (see module wx)) -> wxSizerItem()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemwxsizeritem>\&.
.RE
.LP
.B
calcMin(This::wxSizerItem()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemcalcmin>\&.
.RE
.LP
.B
deleteWindows(This::wxSizerItem()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemdeletewindows>\&.
.RE
.LP
.B
detachSizer(This::wxSizerItem()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemdetachsizer>\&.
.RE
.LP
.B
getBorder(This::wxSizerItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetborder>\&.
.RE
.LP
.B
getFlag(This::wxSizerItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetflag>\&.
.RE
.LP
.B
getMinSize(This::wxSizerItem()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetminsize>\&.
.RE
.LP
.B
getPosition(This::wxSizerItem()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetposition>\&.
.RE
.LP
.B
getProportion(This::wxSizerItem()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetproportion>\&.
.RE
.LP
.B
getRatio(This::wxSizerItem()) -> float()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetratio>\&.
.RE
.LP
.B
getRect(This::wxSizerItem()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetrect>\&.
.RE
.LP
.B
getSize(This::wxSizerItem()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetsize>\&.
.RE
.LP
.B
getSizer(This::wxSizerItem()) -> wxSizer() (see module wxSizer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetsizer>\&.
.RE
.LP
.B
getSpacer(This::wxSizerItem()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetspacer>\&.
.RE
.LP
.B
getUserData(This::wxSizerItem()) -> wx() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetuserdata>\&.
.RE
.LP
.B
getWindow(This::wxSizerItem()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemgetwindow>\&.
.RE
.LP
.B
isSizer(This::wxSizerItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemissizer>\&.
.RE
.LP
.B
isShown(This::wxSizerItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemisshown>\&.
.RE
.LP
.B
isSpacer(This::wxSizerItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemisspacer>\&.
.RE
.LP
.B
isWindow(This::wxSizerItem()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemiswindow>\&.
.RE
.LP
.B
setBorder(This::wxSizerItem(), Border::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetborder>\&.
.RE
.LP
.B
setDimension(This::wxSizerItem(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetdimension>\&.
.RE
.LP
.B
setFlag(This::wxSizerItem(), Flag::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetflag>\&.
.RE
.LP
.B
setInitSize(This::wxSizerItem(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetinitsize>\&.
.RE
.LP
.B
setMinSize(This::wxSizerItem(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetminsize>\&.
.RE
.LP
.B
setMinSize(This::wxSizerItem(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetminsize>\&.
.RE
.LP
.B
setProportion(This::wxSizerItem(), Proportion::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetproportion>\&.
.RE
.LP
.B
setRatio(This::wxSizerItem(), X::float() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetratio>\&. 
.br
 Alternatives: 
.LP
\fI setRatio(This::wxSizerItem(), Ratio::float()) -> ok \fR 
.LP
\fI setRatio(This::wxSizerItem(), Size::{W::integer(), H::integer()}) -> ok \fR 
.RE
.LP
.B
setRatio(This::wxSizerItem(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetratio>\&.
.RE
.LP
.B
setSizer(This::wxSizerItem(), Sizer::wxSizer() (see module wxSizer)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetsizer>\&.
.RE
.LP
.B
setSpacer(This::wxSizerItem(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetspacer>\&.
.RE
.LP
.B
setSpacer(This::wxSizerItem(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetspacer>\&.
.RE
.LP
.B
setWindow(This::wxSizerItem(), Window::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemsetwindow>\&.
.RE
.LP
.B
show(This::wxSizerItem(), Show::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizeritem\&.html#wxsizeritemshow>\&.
.RE
.LP
.B
destroy(This::wxSizerItem()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
